{
  "pages": [
    "pages/index/index",
    "pages/setup/index",
    "pages/tool/index",
    "pages/equipment/index",
    "pages/balance/index",
    "pages/details/index",
    "pages/projectlist/index",
    "pages/projectdetails/index"
  ],
  "requiredBackgroundModes": ["location"],
 
  "requiredPrivateInfos": [
    "getLocation",
    "onLocationChange",
    "startLocationUpdate",
    "startLocationUpdateBackground"
  ],

  "permission": {
    "scope.userLocation": {
      "desc": "你的位置信息将用于展示轨迹和计算距离"
    },
    "scope.setClipboardData": {
      "desc": "用于复制内容到剪贴板，方便用户分享或使用"
    },
    "scope.userLocationBackground": {
      "desc": "你的位置信息将用于小程序后台定位功能"
    },
    "scope.phoneNumber": {
      "desc": "为了快速完成账号注册与登录，验证您的身份信息，保障账号安全，我们需要获取您的手机号。我们将严格按照隐私政策保护您的信息，不会用于其他用途。"
    }
  },
  "window": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "电速宝",
    "navigationBarBackgroundColor": "#ffffff"
  },
  
  "plugins": {
    "route-plan": {
      "version": "2.0.1",
      "provider": "wx50b5593e81dd937a"
    }
  },
  "componentFramework": "glass-easel",
  "sitemapLocation": "sitemap.json",
  "lazyCodeLoading": "requiredComponents",
  "functionalPages": true,
  "tabBar": {
    "selectedColor": "#00C775",
    "list": [
      {
        "pagePath": "pages/index/index",
        "text": "首页",
        "iconPath": "static/111.png",
        "selectedIconPath": "static/222.png"
      },
      {
        "pagePath": "pages/tool/index",
        "text": "工单",
        "iconPath": "static/55.png",
        "selectedIconPath": "static/66.png"
      },
   
      {
        "pagePath": "pages/setup/index",
        "text": "我的",
        "iconPath": "static/7.png",
        "selectedIconPath": "static/8.png"
      }
    ]
  },
  "subpackages": [
    {
      "root": "package-user",
      "name": "user",
      "pages": [
        "pages/login/index",
        "pages/register/index",
        "pages/privacy/index",
        "pages/userlist/index",
        "pages/captcha/index",
        "pages/slide-confirm/index"
        
      ]
    },
    {
      "root": "package-order",
      "name": "order",
      "pages": [
        "pages/createorder/index",
        "pages/driver/index",
        "pages/address/index",
        "pages/newaddress/index",
        "pages/mapSelect/index",
        "pages/order/index",
        "pages/payment/index"
      ]
    },
    {
      "root": "package-setup",
      "name": "setup",
      "pages": [
        "pages/setuplevel/index",
        "pages/electricity/index"
      ]
    },
    {
      "root": "package-map",
      "name": "map",
      "pages": [
        "pages/map/index"
      ]
    }
  ]
}